Bug 21923 - log format should be "combined", not "common"
log format should be "combined", not "common"
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Dale Lovelace
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-07 21:03 EST by Joshua Jensen
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-23 12:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2000-12-07 21:03:09 EST
Most web parsing programs prefer the additional "referer" information that
the "combinded" log format provides.  It would be nice to see the next
release default to combined.


Joshua Jensen
Comment 1 Pekka Savola 2000-12-08 19:04:26 EST
Combined log format _is_ better, but switching, at least without changing the name, would probably
break a lot of log analyzers especially if no clear warning was issued.
Comment 2 Joshua Jensen 2000-12-08 20:05:33 EST
Admins who set up log analyzers pay attention to log formats, and so do most log
analysis programs.  Anyone that upgrades from 7.0 to 7.1 with an untouched
httpd.conf file probably doesn't care about the log formats, and anyone who
upgrades with a changed httpd.conf file will have to deal with
httpd.conf.rpmsave issues anyway.

A log name change would force the issue, yes, but it would do so only by
requiring _everyone_ to reconfigure their log parsing program . Simply changing
just the format type would allow everyone to benefit, and would force the issue
only with admins that fail to use format-aware log parsing programs AND don't
pay attention to httpd.conf.rpmsave upgrade issues.

My 2 cents.
Comment 3 Dax Kelson 2000-12-11 01:44:23 EST
The default should be combined.

People using log analyzers have ALREADY changed it to combined, people who
aren't using log analyzers don't care, and won't notice.

Dax Kelson
Guru Labs
Comment 4 Nalin Dahyabhai 2001-01-11 14:40:27 EST
I'm going to defer this one for another release.  I'd rather not force rpmsave
issues for this minor change, and we're looking at more major changes after the
next release.
Comment 5 Nalin Dahyabhai 2001-02-23 15:08:57 EST
Since we're setting up a session cache for the default, I'll go ahead and make
this change.

Note You need to log in before you can comment on or make changes to this bug.